#include <stdio.h>
#include <bits/stdc++.h>
using namespace std;
int n;
double resenje;
long long suma=0, sumica=0;
struct cika{
    int kes;
    double porez;
} a[100005];
bool poredi(cika a, cika b)
{
    if(a.porez<b.porez)
        return true;
    return false;
}
int main()
{
    scanf("%d", &n);
    int i;
    for(i=0;i<n;i++)
    {
        scanf("%d%lf", &a[i].kes, &a[i].porez);
        suma+=a[i].kes;
    }
    sort(a, a+n, poredi);
    for(i=0;i<n;i++)
    {
        if(resenje<1.*(suma-sumica)*a[i].porez/100)
            resenje=(suma-sumica)*a[i].porez/100;
        sumica=sumica+a[i].kes;
    }
    printf("%f", resenje);
    return 0;
}